### Encoding: latin1

### Name: stepAIC.ghyp
### Title: Perform a model selection based on the AIC
### Aliases: stepAIC.ghyp
### Keywords: utilities

### ** Examples

## Not run: 
##D   data(smi.stocks)
##D   
##D   # Multivariate case:
##D   aic.mv <- stepAIC.ghyp(smi.stocks[, 2:5], dist = c("ghyp", "hyp", "t", "gauss"), 
##D                          symmetric = NULL, control = list(maxit = 500), 
##D                          silent = TRUE, nit = 500)
##D                
##D   summary(aic.mv$best.model)
##D                
##D   # Univariate case:
##D   aic.uv <- stepAIC.ghyp(smi.stocks[, "SMI"], dist = c("ghyp", "NIG", "VG", "gauss"), 
##D                          symmetric = TRUE, control = list(maxit = 500), silent = TRUE)
##D 
##D   # Test whether the ghyp-model provides a significant improvement with 
##D   # respect to the VG-model:
##D   lik.ratio.test(aic.uv$all.models[[1]], aic.uv$all.models[[3]]) 
##D 
## End(Not run)



